CVTENC(1)

NAME
cvtenc - file encoding converter

SYNOPSIS
cvtenc [-Encoding encoding] [-EscapeIn yes|NO] [-EscapeOut yes|NO]
 filename

DESCRIPTION

Converts a file encoded in a specified or default non-unicode encoding to unicode, or, if the file is already in unicode, converts it to a specified or default non-unicode encoding. The converted text is printed to standard out.

OPTIONS

-Encoding  encoding
    Specify non-unicode encoding to be used. The direction of conversion depends on whether the file given as input is recognized as unicode (from the higher order bytes). To get a list of available encodings, enter "list" for the encoding. If this is not specified, the default encoding for the current locale is used.

-EscapeIn YES|NO
    Specify '-EscapeIn YES' (the default is 'NO') to parse the input for \u escape sequences (as in property lists).

-EscapeOut YES|NO
    Specify '-EscapeOut YES' (the default is 'NO') to generate \u escape sequences (as in property lists) in the output. Note, this might produce unexpected results for some encodings.

HISTORY
    Written in 2002.

    This manual page first appeared in gnustep-base 1.9.2 (March 2004).

AUTHORS
cvtenc was written by Richard Frith-Macdonald <rfm@gnu.org>